Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.rpc.server
Class CommandServerSerializationStreamWriter

    java.lang.Object
      com.google.gwt.rpc.client.impl.CommandSerializationStreamWriterBase
          com.google.gwt.rpc.server.CommandServerSerializationStreamWriter

All Implemented Interfaces:
  SerializationStreamWriter

    public class CommandServerSerializationStreamWriter

extends com.google.gwt.rpc.client.impl.CommandSerializationStreamWriterBase

A server-side implementation of SerializationStreamWriter that creates a command stream.

Constructor Summary
`CommandServerSerializationStreamWriter(ClientOracle oracle, com.google.gwt.rpc.client.ast.CommandSink sink)`
`CommandServerSerializationStreamWriter(com.google.gwt.rpc.client.ast.CommandSink sink)`

Method Summary
`protected com.google.gwt.rpc.client.ast.ValueCommand` | `makeValue(java.lang.Class<?> type, java.lang.Object value)` Type is passed in to handle primitive types.

Methods inherited from class com.google.gwt.rpc.client.impl.CommandSerializationStreamWriterBase
`getCommandSink, writeBoolean, writeByte, writeChar, writeDouble, writeFloat, writeInt, writeLong, writeObject, writeShort, writeString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.user.client.rpc.SerializationStreamWriter
`toString`

Constructor Detail

### CommandServerSerializationStreamWriter

    public CommandServerSerializationStreamWriter(com.google.gwt.rpc.client.ast.CommandSink sink)

### CommandServerSerializationStreamWriter

    public CommandServerSerializationStreamWriter(ClientOracle oracle,
                                                  com.google.gwt.rpc.client.ast.CommandSink sink)

Method Detail

### makeValue

    protected com.google.gwt.rpc.client.ast.ValueCommand makeValue(java.lang.Class<?> type,
                                                                   java.lang.Object value)
                                                            throws SerializationException

  Type is passed in to handle primitive types.

  Specified by:
    `makeValue` in class `com.google.gwt.rpc.client.impl.CommandSerializationStreamWriterBase`
  Throws:
    `SerializationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD